=== debian/changelog ===
oem-realtek-ethernet-r8168-1653920-dkms (8.044.03) xenial; urgency=medium

  * Fixed kernel version issue when building dkms on target machine.

 -- Gerald Yang <gerald.yang@canonical.com>  Thu, 11 May 2017 12:04:25 +0800

oem-realtek-ethernet-r8168-1653920-dkms (8.044.02) xenial; urgency=medium

  * VendorSource:
    0009-r8168-8.044.02.tar.bz2 (LP: #1666447)

 -- Bin Li <bin.li@canonical.com>  Thu, 23 Feb 2017 10:51:09 +0800

oem-realtek-ethernet-r8168-1653920-dkms (8.043.02oem1) xenial; urgency=medium

  * Black the r8169, and dont' install into drivers dir.

 -- Bin Li <bin.li@canonical.com>  Thu, 05 Jan 2017 18:35:13 +0800

oem-realtek-ethernet-r8168-1653920-dkms (8.043.02) xenial; urgency=low

  * VendorSource:
    0008-r8168-8.043.02.tar.bz2 (LP: #1650084)

 -- Bin Li <bin.li@canonical.com>  Wed, 04 Jan 2017 17:33:19 +0800
