=== debian/control ===
Source: oem-realtek-ethernet-r8168-1653920-dkms
Section: misc
Priority: optional
Maintainer: Canonical Commercial Engineering <commercial-engineering@canonical.com>
Build-Depends: debhelper (>= 7), dkms, dh-modaliases
Standards-Version: 3.8.1

Package: oem-realtek-ethernet-r8168-1653920-dkms
Architecture: all
Depends: dkms (>= 1.95), ${misc:Depends}
Description: oem-realtek-ethernet-r8168-1653920 driver in DKMS format wrapped by dkms-helper.
XB-Modaliases: ${modaliases}
